## PhoshSystemModal

PhoshSystemModal — A modal system component

## Functions

GtkWidget * | phosh_system_modal_new ()

## Properties

PhoshMonitor * | monitor | Read / Write / Construct Only

## Types and Values

#define | PHOSH_TYPE_SYSTEM_MODAL
struct | PhoshSystemModalClass
| PhoshSystemModal

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshSystemModal
                                    ├── PhoshSystemModalDialog
                                    ╰── PhoshOsdWindow

## Implemented Interfaces

PhoshSystemModal implements AtkImplementorIface and GtkBuildable.

## Description

The PhoshSystemModal is used as a base class for other system components such as dialogs like PhoshSystemPrompt or the OSD display.

## Functions

### phosh_system_modal_new ()

    GtkWidget *
    phosh_system_modal_new (PhoshMonitor *monitor);

Create a new system-modal surface.

#### Parameters

monitor | The PhoshMonitor to put the modal surface on. If `NULL` the primary monitor is used. |

## Types and Values

### PHOSH_TYPE_SYSTEM_MODAL

    #define PHOSH_TYPE_SYSTEM_MODAL (phosh_system_modal_get_type ())

### struct PhoshSystemModalClass

    struct PhoshSystemModalClass {
      PhoshLayerSurfaceClass parent_class;
    };

#### Members

### PhoshSystemModal

    typedef struct _PhoshSystemModal PhoshSystemModal;

## Property Details

### The `“monitor”` property

      “monitor”                  PhoshMonitor *

Monitor to put modal on.

Owner: PhoshSystemModal

Flags: Read / Write / Construct Only